org.eclipse.jdt.debug.ui.launchConfigurations

## Class AppletMainTab

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTab
  - - org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab
    - - org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaMainTab
      - - org.eclipse.jdt.internal.debug.ui.launcher.SharedJavaMainTab
        - - org.eclipse.jdt.debug.ui.launchConfigurations.AppletMainTab

All Implemented Interfaces:
  IPrototypeAttributesLabelProvider, ILaunchConfigurationTab, ILaunchConfigurationTab2

    public class AppletMainTab
    extends org.eclipse.jdt.internal.debug.ui.launcher.SharedJavaMainTab

This tab appears for Java applet launch configurations and allows the user to edit attributes such as the applet class to launch and its owning project, if any.

This class may be instantiated.

Since:
  2.1
Restriction:
  This class is not intended to be sub-classed by clients.

### Field Summary

### Fields inherited from class org.eclipse.jdt.internal.debug.ui.launcher.SharedJavaMainTab

`fMainText`

### Fields inherited from class org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaMainTab

`EMPTY_STRING, fProjText`

### Constructor Summary

Constructors
Constructor and Description
`AppletMainTab()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(Composite parent)`
`String` `getId()`
`Image` `getImage()`
`String` `getName()`
`protected void` `handleSearchButtonSelected()` Show a dialog that lists all main types
`void` `initializeFrom(ILaunchConfiguration config)`
`boolean` `isValid(ILaunchConfiguration launchConfig)`
`void` `performApply(ILaunchConfigurationWorkingCopy config)`
`void` `setDefaults(ILaunchConfigurationWorkingCopy config)`

### Methods inherited from class org.eclipse.jdt.internal.debug.ui.launcher.SharedJavaMainTab

`createMainTypeEditor, createMainTypeExtensions, initializeAttributes, initializeMainTypeAndName, updateMainTypeFromConfig`

### Methods inherited from class org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaMainTab

`createProjectEditor, getDefaultListener, getJavaProject, getWorkspaceRoot, handleProjectButtonSelected, mapResources`

### Methods inherited from class org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab

`getContext, getCurrentLaunchConfiguration, initializeJavaProject`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`activated, canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, deactivated, dispose, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, isDirty, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage, updateLaunchConfigurationDialog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

### Constructor Detail

#### AppletMainTab

    public AppletMainTab()

### Method Detail

#### createControl

    public void createControl(Composite parent)

#### getImage

    public Image getImage()

Specified by:
  `getImage` in interface `ILaunchConfigurationTab`
Overrides:
  `getImage` in class `AbstractLaunchConfigurationTab`

#### getName

    public String getName()

#### handleSearchButtonSelected

    protected void handleSearchButtonSelected()

Show a dialog that lists all main types

Specified by:
  `handleSearchButtonSelected` in class `org.eclipse.jdt.internal.debug.ui.launcher.SharedJavaMainTab`

#### initializeFrom

    public void initializeFrom(ILaunchConfiguration config)

Specified by:
  `initializeFrom` in interface `ILaunchConfigurationTab`
Overrides:
  `initializeFrom` in class `org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaMainTab`

#### isValid

    public boolean isValid(ILaunchConfiguration launchConfig)

Specified by:
  `isValid` in interface `ILaunchConfigurationTab`
Overrides:
  `isValid` in class `AbstractLaunchConfigurationTab`

#### performApply

    public void performApply(ILaunchConfigurationWorkingCopy config)

#### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy config)

#### getId

    public String getId()

Overrides:
  `getId` in class `AbstractLaunchConfigurationTab`
Since:
  3.3
See Also:
  `AbstractLaunchConfigurationTab.getId()`